{"openapi":"3.0.4","info":{"title":"Get Unsettled Transactions for the given Fund.","description":"Gets all transactions that remain unsettled as at the specified Valuation Point for a Fund,\r\nlooking back from inception. Settlement status is point-in-time: post-cutoff settlement\r\nactivity does not alter the result.\r\nThe Valuation Point must be identified either by the date or diaryEntry query parameters or by the 'End' parameter in the\r\nrequest body; when both are supplied the query parameters are used.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/valuationpoints/unsettledtransactions/$query":{"post":{"tags":["Funds"],"summary":"Get Unsettled Transactions for the given Fund.","description":"Gets all transactions that remain unsettled as at the specified Valuation Point for a Fund,\r\nlooking back from inception. Settlement status is point-in-time: post-cutoff settlement\r\nactivity does not alter the result.\r\nThe Valuation Point must be identified either by the date or diaryEntry query parameters or by the 'End' parameter in the\r\nrequest body; when both are supplied the query parameters are used.","operationId":"GetValuationPointUnsettledTransactions","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the report. Defaults to latest.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing from a previous call.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'Instrument', 'Transaction', 'Portfolio', or 'Account'\r\n            domain to decorate onto the transactions.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"navTypeCode","in":"query","description":"When provided, runs against the specified NAV Type, otherwise the Primary NAV Type will be used.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"date","in":"query","description":"The optional date of the Valuation Point to report against, as an alternative to supplying\r\n            it in the request body. Must not be supplied together with diaryEntry.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"diaryEntry","in":"query","description":"The optional diary entry code of the Valuation Point to report against, as an\r\n            alternative to supplying it in the request body. Must not be supplied together with date.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"variant","in":"query","description":"The optional variant code of the Valuation Point to report against, as an alternative to\r\n            supplying it in the request body. Only required when it is necessary to choose between scenarios with multiple\r\n            estimates.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The optional arguments to use for querying the unsettled transactions. Can be\r\n            omitted when the Valuation Point is identified by the date or diaryEntry query parameters.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointDataQueryParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"variant":"Variant"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointDataQueryParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"variant":"Variant"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointDataQueryParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"variant":"Variant"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointDataQueryParameters"},"example":{"end":{"diaryEntry":"DiaryEntryCode"},"variant":"Variant"}}}},"responses":{"200":{"description":"The unsettled transactions for the specified Valuation Point for a Fund.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointResourceListOfUnsettledTransaction"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointResourceListOfUnsettledTransaction"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationPointResourceListOfUnsettledTransaction"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}